#
# spec file for package empathy (Version 2.28.2)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           empathy
BuildRequires:  NetworkManager-devel
BuildRequires:  enchant-devel
BuildRequires:  evolution-data-server-devel
BuildRequires:  fdupes
BuildRequires:  gnome-common
BuildRequires:  gnome-doc-utils-devel
BuildRequires:  gnome-keyring-devel
BuildRequires:  gstreamer-0_10-devel
BuildRequires:  gtk2-devel
BuildRequires:  intltool
BuildRequires:  iso-codes-devel
BuildRequires:  libcanberra-devel
BuildRequires:  libchamplain-devel
BuildRequires:  libgeoclue-devel
BuildRequires:  libnotify-devel
BuildRequires:  libunique-devel
BuildRequires:  libwebkit-devel
BuildRequires:  gnome-panel-devel
BuildRequires:  python-gtk-devel
BuildRequires:  python-xml
BuildRequires:  telepathy-farsight-devel
BuildRequires:  telepathy-glib-devel
BuildRequires:  update-desktop-files
Url:            http://live.gnome.org/Empathy
License:        GPLv2+
Group:          Productivity/Networking/Instant Messenger
Version:        2.28.2
Release:        0.1.3
Summary:        Empathy GNOME Instant Messenger
Source:         %{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Requires:       telepathy-gabble
Requires:       telepathy-mission-control
Requires:       telepathy-salut
Requires:       %{name}-lang = %{version}
Recommends:     telepathy-butterfly
Recommends:     telepathy-haze
Recommends:     telepathy-idle
Suggests:       gnome-applets-empathy
%gconf_schemas_prereq

%description
Empathy is the GNOME Instant Messenger application. It uses Telepathy
and Nokia's Mission Control, and support a wide variety or services.

%package devel
License:        GPLv2+
Requires:       %{name} = %{version}
Requires:       gtk2-devel
Requires:       libcanberra-devel
Requires:       pkg-config
Requires:       telepathy-glib-devel
Summary:        Empathy IM Application Framework
Group:          Development/Libraries/GNOME

%description devel
Empathy consists of a rich set of reusable instant messaging widgets,
and a GNOME client using those widgets. It uses Telepathy and Nokia's
Mission Control, and reuses Gossip's UI.

%package -n gnome-applets-empathy
License:        GPLv2+
Summary:        Empathy GNOME Instant Messenger - Applets for the GNOME Panel
Group:          Productivity/Networking/Instant Messenger
Requires:       empathy

%description -n gnome-applets-empathy
Empathy is the GNOME Instant Messenger application. It uses Telepathy
and Nokia's Mission Control, and support a wide variety or services.

This package contains applets for the GNOME panel to easily chat with
a contact or change your status.

%package -n python-empathy
License:        GPLv2+
Summary:        Empathy IM Application Framework - Python Bindings
Group:          Development/Libraries/Python
%py_requires

%description -n python-empathy
Empathy consists of a rich set of reusable instant messaging widgets,
and a GNOME client using those widgets. It uses Telepathy and Nokia's
Mission Control, and reuses Gossip's UI.

This package contains the pythin bindings for the Empathy libraries.


%lang_package
%prep
%setup -q

%build
%configure	--disable-static \
		--with-pic \
		--enable-python=yes \
		--disable-scrollkeeper
make

%install
%makeinstall
find %{buildroot} -type f -name "*.la" -delete -print
%suse_update_desktop_file -i -N "Empathy" -G "Instant Messenger" empathy InstantMessaging
%find_gconf_schemas
%find_lang %{name}
# create symlinks for man pages
%fdupes -s %{buildroot}/%_mandir
# create hardlinks for the rest
%fdupes %{buildroot}

%pre -f %{name}.schemas_pre

%preun -f %{name}.schemas_preun

%posttrans -f %{name}.schemas_posttrans

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf %{buildroot}

%files -f %{name}.schemas_list
%defattr(-,root,root)
%doc README TODO
%{_bindir}/*
%{_libdir}/libempathy.so.*
%{_libdir}/libempathy-gtk.so.*
%{_datadir}/icons/hicolor/*/apps/empathy.*
%{_datadir}/applications/*
%{_datadir}/dbus-1/services/*.service
%{_datadir}/empathy/
%{_datadir}/telepathy/clients/*.client
%{_mandir}/man1/*
%dir %{_datadir}/telepathy
%dir %{_datadir}/telepathy/clients

%files -n gnome-applets-empathy
%defattr(-,root,root)
%{_libdir}/bonobo/servers/*
%{_libexecdir}/megaphone-applet
%{_libexecdir}/nothere-applet

%files -n python-empathy
%defattr(-,root,root)
%{py_sitedir}/empathy*.so

%files devel
%defattr(-,root,root)
%{_includedir}/*
%{_libdir}/pkgconfig/*.pc
%{_libdir}/libempathy*.so
%{_datadir}/gtk-doc/

%files lang -f %{name}.lang

%changelog
* Mon Dec 14 2009 dimstar@opensuse.org
- Update to version 2.28.2:
  + bgo#598381 - WebKit automatically converts <a> tags in links
- Changes from version 2.28.1.2:
  + bgo#599612 - crash when typing room name
  + bgo#597819 - No tray icon when no valid account configured
  + bgo#599386 - Empathy protocol chooser shouldn't cache
    TpConnectionManagerProtocol
  + bgo#599431 - Empty notifications with butterfly contact
  + bgo#600023 - Crash when trying to display the accounts dialog
    more than once
  + bgo#600551 - crash in Empathy: Was doing nothing..
  + bgo#600671 - fails to link when using binutils-gold
  + bgo#601190 - Empathy does not appear to save window size on
    close
- Changes from version 2.28.1.1:
  + bgo#591360 - Incoming message while menu is open freezes X
  + bgo#598452 - crashed with SIGSEGV in
    contact_list_store_iface_setup()
  + bgo#599612 - crash when typing room name
  + bgo#594654 - empathy crashed with SIGSEGV in
    empathy_account_settings_get_default()
  + bgo#598332 - Crash when CM crashes during a channel request
  + bgo#598432 - empathy crashed with SIGSEGV in
    empathy_call_window_audio_input_level_changed_cb()
  + bgo#598453 - empathy crashed with SIGSEGV in
    empathy_call_window_got_self_contact_cb()
  + bgo#598628 - Empathy start isn't idempotent
  + bgo#598954 - Empathy crashes with SIGSEGV when trying
    spellcheck
  + bgo#599386 - Empathy protocol chooser shouldn't cache
    TpConnectionManagerProtocol
- Changes from version 2.28.1:
  + bgo#594619 - asserts in empathy_idle_set_presence() after
    suspend/resume
  + bgo#598423 - empathy crashed when dnding an avatar image
  + bgo#598452 - crashed with SIGSEGV in
    contact_list_store_iface_setup()
  + bgo#581488 - copy/paste is broken
  + bgo#594654 - empathy crashed with SIGSEGV in
    empathy_account_settings_get_default()
  + bgo#594908 - empathy crashed with SIGSEGV in
    tp_contact_list_got_added_members_cb()
  + bgo#597125 - libnotify chat bubbles aren't displayed once the
    first bubble disappeared
  + bgo#597289 - Info dialog says "Edit contact information"
  + bgo#597293 - libempathy header files are wrong
  + bgo#597416 - empathy crashed with SIGSEGV in
    empathy_account_settings_get_account()
  + bgo#598332 - Crash when CM crashes during a channel request
  + bgo#598354 - Presence chooser shouldn't be sensitive when there
    are no accounts
  + bgo#598355 - Use pretty names for protocol in account display
    names
  + bgo#598408 - Changing display name can crash empathy
  + bgo#598432 - empathy crashed with SIGSEGV in
    empathy_call_window_audio_input_level_changed_cb()
  + bgo#598453 - empathy crashed with SIGSEGV in
    empathy_call_window_got_self_contact_cb()
  + bgo#598628 - Empathy start isn't idempotent
  + Updated translations.
- Disable parallel build.
* Sat Oct  3 2009 lmedinas@opensuse.org
- Update to version 2.28.0.1:
  + Fixed bgo#589408, Add respond button to notifications
  + Fixed bgo#595945, Crash when doing nothing
  + Fixed bgo#595962, Criticals endlessly if you open and contract
    a group too fast.
  + Fixed bgo#596044, --hide-contact-list doesn't work
  + Fixed bgo#596303, Missing file fallback for Adium themes not
    implemented.
  + Fixed #596317, Adium themes always attempt to combine
    consecutive messages.
  + Fixed #597125, libnotify chat bubbles aren't displayed once the
    first bubble disappeared
  + Update translations.
* Tue Sep 22 2009 dimstar@opensuse.org
- Update to version 2.28.0:
  + Bugs fixed: bgo#593318, bgo#594893, bgo#595275, bgo#520206,
    bgo#532737, bgo#550127, bgo#593334, bgo#593883, bgo#594160,
    bgo#594569, bgo#594619, bgo#594653, bgo#594776, bgo#594890,
    bgo#594906, bgo#594908, bgo#594997, bgo#595180, bgo#595417,
    bgo#595521, bgo#595666
  + Updated translations.
* Wed Sep  9 2009 vuntz@opensuse.org
- Update to version 2.27.92:
  + Bugs fixed: bgo#593318, bgo#583897, bgo#459014, bgo#459546,
    bgo#539142, bgo#547323, bgo#585226, bgo#587117, bgo#587883,
    bgo#590118, bgo#590165, bgo#592737, bgo#592997, bgo#592998,
    bgo#593009, bgo#593018, bgo#593041, bgo#593054, bgo#593095,
    bgo#593101, bgo#593158, bgo#593161, bgo#593207, bgo#593209,
    bgo#593224, bgo#593237, bgo#593248, bgo#593257, bgo#593285,
    bgo#593717, bgo#594139
  + Updated translations.
- Drop empathy-fix-pkg-config.patch: fixed upstream.
* Mon Aug 31 2009 vuntz@novell.com
- Add empathy-fix-pkg-config.patch to not have empathy-devel
  require telepathy-mission-control-devel.
* Sun Aug 30 2009 vuntz@novell.com
- Remove telepathy-mission-control-devel Requires from devel
  package, and add telepathy-glib-devel instread.
* Wed Aug 26 2009 dimstar@opensuse.org
- Update to version 2.27.91.1:
  + We require gnome-doc-utils 0.17.3 for Mallard
  + Some fixes so distcheck passes
- Changes from version 2.27.91:
  + This version needs mission-control-5 instead of the now
    deprecated mission-control-4. As result,
    libmission-control-client and libtelepathy are not required
    anymore.
  + Empathy can now optionally use ConnMan instead of
    NetworkManager.
  + libgnome-keyring is now required
  + Empathy now uses libunique to prevent running it twice.
  + Bugs fixed: bgo#588878, bgo#494007, bgo#526360, bgo#571989,
    bgo#576467, bgo#580134, bgo#582191, bgo#582810, bgo#585322,
    bgo#585443, bgo#585843, bgo#585844, bgo#585867, bgo#585993,
    bgo#586401, bgo#586977, bgo#587161, bgo#587514, bgo#587634,
    bgo#587706, bgo#587803, bgo#588252, bgo#588840, bgo#589091,
    bgo#589335, bgo#589846, bgo#590029, bgo#590118, bgo#590165,
    bgo#590756, bgo#590924, bgo#590956, bgo#590962, bgo#590982,
    bgo#591058, bgo#591199, bgo#591247, bgo#591335, bgo#591468,
    bgo#591543, bgo#591582, bgo#591602, bgo#591612, bgo#592005,
    bgo#592052
  + Updated translations.
- New BuildRequires libchamplain-devel, geoclue-devel,
  gnome-keyring-devel, gstreamer-0_10-devel, libunique-devel and
  NetworkManager-devel.
- Remove libtelepathy-devel and telepathy-mission-control-devel
  BuildRequires.
- Add Requires on telepathy-mission-control.
* Wed Jun 17 2009 vuntz@novell.com
- Update to version 2.27.5:
  + Bugs fixed: bgo#459161, bgo#494007, bgo#545282, bgo#547327,
    bgo#579724, bgo#579940, bgo#584120, bgo#584122, bgo#586967,
    bgo#588498, bgo#588662, bgo#588810, bgo#588886, bgo#589091,
    bgo#589830, bgo#589846,
  + Updated translations.
- Changes from version 2.27.4:
  + Bugs fixed: bgo#584703, bgo#459161, bgo#494532, bgo#520972,
    bgo#536383, bgo#556237, bgo#560159, bgo#562468, bgo#563678,
    bgo#565494, bgo#571989, bgo#574771, bgo#575008, bgo#575667,
    bgo#579151, bgo#579893, bgo#579940, bgo#580631, bgo#580777,
    bgo#582598, bgo#582810, bgo#585031, bgo#585053, bgo#585380,
    bgo#585475, bgo#585522, bgo#585601, bgo#585777, bgo#585788,
    bgo#585882, bgo#585885, bgo#585887, bgo#586059, bgo#586102,
    bgo#586133, bgo#586249, bgo#586329, bgo#586352, bgo#586368,
    bgo#586382, bgo#586387, bgo#586481, bgo#586645, bgo#586734,
    bgo#587365, bgo#587446, bgo#587508, bgo#587817, bgo#587953,
    bgo#587958, bgo#588021, bgo#586284
  + Updated translations.
- Split empathy package in empathy, gnome-applets-empathy and
  python-empathy.
- Recommends telepathy-butterfly, to have a better msn experience.
- Recommends telepathy-idle, to have irc working by default.
- Use libexecdir for the applets.
* Wed Jun 17 2009 vuntz@novell.com
- Update to version 2.27.3:
  + New features:
  - Support for Adium Message Style themes
  - Geolocalisation support
  + Make file transfer more solid.
  + Make sametime support official
  + UI fixes.
  + Bugs fixed: bgo#522069, bgo#548707, bgo#548716, bgo#560787,
    bgo#562981, bgo#563675, bgo#563896, bgo#564259, bgo#574478,
    bgo#574878, bgo#574980, bgo#575415, bgo#576405, bgo#578497,
    bgo#579725, bgo#579992, bgo#580921, bgo#582191, bgo#582736,
    bgo#582773, bgo#582774, bgo#583548, bgo#583785, bgo#584061,
    bgo#584102, bgo#584147, bgo#584206, bgo#584462, bgo#584463,
    bgo#584518, bgo#584635, bgo#584639, bgo#584672, bgo#584755,
    bgo#584807, bgo#584830, bgo#584924, bgo#584989, bgo#585055,
    bgo#585078, bgo#585080, bgo#585092, bgo#585201, bgo#585231,
    bgo#585279, bgo#585640, bgo#585669, bgo#585788, bgo#571666,
    bgo#571667
  + Updated translations.
- Remove libglade2-devel Requires from devel package.
- Add libwebkit-devel BuildRequires.
* Wed May 27 2009 vuntz@novell.com
- Update to version 2.27.2:
  + Fixed bgo#580922, Conversation menu is dead to me
  + Fixed bgo#582773, Empathy puts cheesy strings in my
    subscription requests
  + Fixed bgo#583391, Python binding for pyempathygtk are broken
  + Fixed bgo#583430, new editable status doesn't behave properly
  + Fixed bgo#583558, Rename OfferStreamTube and AcceptStreamTube
    to Offer and Accept
  + Fixed bgo#583566, Add View top level menu
  + Fixed bgo#583785, Display a summary at the end of configure
  + Fixed bgo#581871, "join chatroom" dialog doesn't report errors
  + Updated translations.
- Add enchant-devel and iso-codes-devel BuildRequires.
- Remove libglade2-devel BuildRequires.
- Remove non-existing --enable-voip argument from configure.
- Add py_requires.
* Sun May 24 2009 vuntz@novell.com
- Update to version 2.27.1.1:
  + Fix ABI version to not conflict with 2.26 branch
  + Fix various coding style
  + Fixed bgo#582589, Should allow users to initially have either
    audio or audio/video calls
  + Updated translations.
- Drop lockdown.patch: the patch needed rebasing. I've
  reimplemented the features for upstream and attach the patch to
  bugs upstream. I don't think we want to have those patches in the
  packages, since they don't make sense if upstream doesn't accept
  them, so I didn't add the new patches here.
* Tue May 19 2009 vuntz@novell.com
- Update to version 2.27.1:
  + Fixed bgo#582641, crash in Empathy Instant Messenger: Making a
    call to a googl...
  + Fixed bgo#501519, Empathy API need documentation
  + Fixed bgo#504277, Empathy won't use 2nd and further protocols a
    connection manager provides
  + Fixed bgo#530119, display remote caller in the call window
  + Fixed bgo#539506, First message in conversation has no
    timestamp
  + Fixed bgo#544678, Can't change account photo/avatar
  + Fixed bgo#548704, "Add" button requires further action but
    lacks an ellipsis
  + Fixed bgo#549366, Should use SimplePresence
  + Fixed bgo#549641, Should use Contacts
  + Fixed bgo#561033, Work on the documentation
  + Fixed bgo#566905, avatar button is too tiny
  + Fixed bgo#568403, Add header file in documentation
  + Fixed bgo#568562, ghelp link broken in documentation
  + Fixed bgo#570346, EmpathyTpChat should use the Group SelfHandle
    if present
  + Fixed bgo#570545, Huge memory leak after opening some contacts
    discussion windows
  + Fixed bgo#574626, No obvious way to display FT manager
  + Fixed bgo#575090, Notifications of new messages stop working
    after closing the chat window
  + Fixed bgo#575415, Should switch from libglade to GtkBuilder
  + Fixed bgo#575442, "Call" string needs context for translation
  + Fixed bgo#575817, empathy_tp_tube_new_stream_tube should allow
    NULL as parameters
  + Fixed bgo#576384, "accept incoming call" dialog brings roster
    to current workspace
  + Fixed bgo#576394, "Send Video" button and "Call -> Send video"
    menu entry are not synced
  + Fixed bgo#577026, Sending slash-prefixed messages on IRC is a
    security risk.
  + Fixed bgo#577427, Port to latest tp-glib API
  + Fixed bgo#578356, Asserts when reconnecting to a chat room.
  + Fixed bgo#578399, Change to supplying spelling suggestions in
    submenu
  + Fixed bgo#579139, memleak in
    log_store_empathy_get_messages_for_file
  + Fixed bgo#579148, Improves the Join New room UI by adding
    columns, changing the UI
  + Fixed bgo#579553, Serveral memory leaks in empathy.
  + Fixed bgo#579735, add empathy_tp_tube_call_when_ready ()
  + Fixed bgo#579780, Several functions should be _dup_foo instead
    of _get_foo
  + Fixed bgo#579800, adding or removing an IRC account causes a
    dialog to pop up
  + Fixed bgo#579971, Try to access to a NULL GtkEntry when adding
    a new contact
  + Fixed bgo#580097, Dispaly transfer speed, and make remaining
    time more dynamic
  + Fixed bgo#580203, Theoretical race connecting to Received.
  + Fixed bgo#580771, Video playback should have a fullscreen mode
  + Fixed bgo#582751, No menu icon = no smiley
  + Fixed bgo#563222, Wrong "time remaining" estimation when
    sending a file
  + Fixed bgo#579484, New "join chatroom" dialog doesn't get list
    of rooms when room list is expanded
  + Fixed bgo#579485, "Join Room" dialog should allow sorting the
    list of rooms
  + Fixed bgo#571664, [1/3] Empathy should support Geolocation
  + Updated translations.
* Sun May 10 2009 mboman@suse.de
- Use %%suse_update_desktop_file -i -N "Empathy" -G "Instant
  Messenger" empathy Internet
* Tue Apr 14 2009 vuntz@novell.com
- Update to version 2.26.1:
  + Fixed bgo#566905, avatar button is too tiny
  + Fixed bgo#568562, ghelp link broken in documentation
  + Fixed bgo#575817, empathy_tp_tube_new_stream_tube should allow
    NULL as parameters
  + Fixed bgo#576375, empathy build fails due to missing file in
    documentation
  + Fixed bgo#577825, empathy-tp-contact-factory:
    get_requestable_channel_classes_cb: fixed_prop is leaked
  + Fixed bgo#577826, dispatcher_connection_ready_cb: capabilities
    is leaked
  + Fixed bgo#577829, empathy_smiley_manager_parse: string leaked
  + Fixed bgo#578356, Asserts when reconnecting to a chat room.
  + Updated translations.
* Sat Apr  4 2009 vuntz@novell.com
- Add missing libcanberra-devel Requires to devel package.
* Sat Apr  4 2009 vuntz@novell.com
- Update to version 2.26.0.1:
  + Fixed bgo#556173, crash in Empathy Instant Messenger: Chatting
    using the MSN a...
  + Fixed bgo#571745, crash in Empathy Instant Messenger: Nothing,
    empathy was in ...
  + Fixed bgo#575681, UNIX socket address is supposed to be an 'ay'
    and not a 's'
  + Fixed bgo#576386, No video received
  + Updated translations.
* Mon Mar 16 2009 mboman@suse.de
- Update to version 2.26.0:
  + Fix various VoIP bugs
  + Hook up audio mute button
  + Set the camera button sensitive while connected and there is a
    video input
  + Set empathy's media role to phone for so pulse can do policy on
    it
  + Refactor log backend, it now make possible to implement other
    backends to read logs from other clients, and it logs messages
    sooner to avoid losing messages if empathy crash at any time
  + Translation updates
- Update lockdown.patch (sent changes upstream)
- Don't package omf files twice (they are in the lang package too).
- Remove glib2-devel and gtk-doc from BuildRequires
- Remove libxml2-devel from Requires in -devel package
- Replace %%setup -q -n %%{name}-%%{version} with %%setup -q
* Fri Mar  6 2009 vuntz@novell.com
- Update to version 2.25.92:
  + Hardcode some a default codec preferences
  + Hook up the video input sidebar item
  + Hook up audio input panel
  + Use undrafted file transfer spec.
  + bgo#572875, Missing translator comments
  + Updated translations.
- Don't use AutoReqProv: it's default now.
- Use makeinstall.
- Remove wrong removal of desktop file.
* Tue Feb 17 2009 vuntz@novell.com
- Update to version 2.25.91:
  + Set the intial volume button level to a more correct one.
  + Set the camera button insensitive after a call.
  + Hook up the volume button.
  + Hook up DTFM support.
  + Notify when receiving an invitation to join a MUC.
  + Save status message on NetworkManager disconnect and restore on
    reconnect.
  + bgo#525559: Ignore muc invitations.
  + bgo#562109: Spacing in contact information dialog.
  + bgo#570357: make install fails on master.
  + bgo#570397: Menu icon for 'Hang Up' is too large in call UI
    window.
  + bgo#571184: Event toolip displayes (null) if no message was
    provided.
  + bgo#571635: Minor string fixes.
  + Updated translations.
* Thu Feb  5 2009 vuntz@novell.com
- Update to version 2.25.90:
  + Rewrite Voice/Video call UI, and use farsight2 instead of
    stream-engine
  + Add libnotify support
  + Add EmpathyContactSelector
  + Renamed G_STR_EMPTY to EMP_STR_EMPTY
  + Update the user documentation
  + Rename _new -> _dup_singleton
  + Remove usage of EmpathyTpGroup from EmpathyTpCall
  + Remove some usage of EmpathyTpGroup from EmpathyTpChat
  + Rework internal dispatcher
  + Updated translations.
  + Bugs fixed: bgo#548768, bgo#562554, bgo#566549, bgo#566676,
    bgo#569884, bgo#569901, bgo#570066, bgo#570080
- Add telepathy-farsight-devel, libnotify-devel BuildRequires.
- Remove telepathy-stream-engine Requires.
- Move gtk-doc files to devel package.
- Remove checks for old versions of openSUSE.
* Thu Jan  8 2009 mboman@suse.de
- Update to version 2.25.4:
  + Add sound notifications using libcanberra-gtk
  + Translation updates
* Mon Dec 29 2008 mboman@suse.de
- Update to version 2.25.3:
  + Refactor EmpathyChatView to make possible to use other backends than
    GtkTextView. Required to use Webkit and adium themes
  + Use gi18n-lib.h instead of gi18n.h for libraries
  + Add empathy_init(), empathy_gtk_init(). They have to be called by any
    process using libempathy and libempathy-gtk
  + Do not make allow to add a contact to accounts that do not have contact
    list, like IRC or SIP
  + Improve URI regex
  + Drop libgnomeui dependency
  + Use GTK+ 2.14.0 and gtk_show_uri
  + Fixed bgo#552296, Autocompletion on contact names for "new message"
    dialog box
  + Fixed bgo#562873, doesn't build with werror on x86_64
  + Fixed bgo#563713, linkifies "@name", and captures the next word
  + Use GRegex instead of custom code and use a new regex to detect URIs
  + Replace Q_() with C_() for translation context
  + Add file transfer support
  + Use markup for chat-window tooltips
  + Convert avatar to fit the resolution and size requirements
  + Fixed bgo#554938, Misspelled word in docs, help/C/empathy.xml:114
  + Fixed bgo#496100, Invites to Chat Rooms unimplemented
  + Fixed bgo#541060, import accounts from Pidgin when first run
  + Fixed bgo#542176, EmpathyChatroomManager doesn't contain active chat
    rooms
  + Fixed bgo#558370, empathy do not link on os x 10.5
  + Fixed bgo#560387, Crash when joining a chatroom
  + Fixed bgo#560611, Cannot distinguish IRC chats: They all have the label
    "Conversation"
  + Fixed bgo#560622, Show account name in conversation label
  + Fixed bgo#562071, Empathy logview crashes if no accout exitsts
  + Fixed bgo#562588, Bugfix for the compile time
    libempathy/empathy-dispatcher.c
- Respin empathy-lockdown.patch
* Wed Oct 22 2008 mboman@suse.de
- Update to version 2.24.1:
  + Fixed bgo#544029, empathy's configure.ac doesn't detect python 2.6
  + Fixed bgo#553066, Some strings are not translatable in megaphone-applet
  + Fixed bgo#554284, Bad email link
  + Translation updates
* Wed Oct  1 2008 mboman@suse.de
- Update to version 2.24.0:
  + Fix for GTK+ adjustment policy enforcement
  + Bugs fixed: bgo#548668, bgo#550652
  + Translation updates
* Tue Sep 23 2008 gburt@suse.de
- Add gconf preferences to allow disabling and locking down
    logging, custom away messages, and adding new contacts, in
    support of fate#3126
* Fri Sep 12 2008 maw@suse.de
- Update to version 2.23.92:
  + Add a menu item in chat window to set the room as favorite
  + Make Chat the default in New Conversation… dialog
  + Give Chat and Call accelerators in New Conversation dialog
  + Bugs fixed: bgo#546568, bgo#548578, bgo#548632, bgo#548693,
    bgo#548709, bgo#549002, bgo#549280, bgo#549545, bgo#550556,
    bgo#551096, bgo#551113, and bgo#504154
  + Updated translations.
* Tue Aug 19 2008 hfiguiere@suse.de
- Upgrade to 2.23.90
  * Do not display MSN Haze if butterfly is installed (Xavier Claessens).
  * If display name of the selected account changes, update the label.
    (Xavier Claessens).
  * If there is no account configured, accounts dialog directly propose
    to add an account (Xavier Claessens).
  * Add QQ profile and icons (Xavier Claessens).
  * Add gadugadu profile and icons (Xavier Claessens).
  * Show the main window by default on first run. (Xavier Claessens).
  * Use a GtkMessageDialog instead of GtkDialog for remove confirmation
    dialog of contact/group. (Xavier Claessens).
  * bgo#529084, going offline then coming back leaves chat text input
    unsensitive (Xavier Claessens)
  * bgo#540356, Problem with NetworkManager interaction (Xavier Claessens)
  * bgo#547326, A sentence is too big without pauses (fpeters)
* Fri Aug  8 2008 hfiguiere@suse.de
- Upgrade to 2.23.6
  * new versioning for GNOME inclusion
  * bgo #462880, Can't register a new account on Jabber servers (Xavier Claessens)
  * bgo #486801, Unable to rename the account (change the account name) (Xavier Claessens)
  * bgo #544964, Button "Add Gruop" not translatable (Milo Casagrande)
  * bgo #546154, translation issues (Xavier Claessens)
  * bgo #546218, Bad message when a call is refused (Xavier Claessens)
  * Remove empathy-accounts binary, it is replaced by empathy --accounts (Xavier Claessens).
  * Added empathy-properties desktop file to configure MC accounts from the
    GNOME panel -> System -> Preferences. (Jonny Lamb)
  * Replace the preview button by a cancel button when creating a new account (Xavier Claessens).
  * Move event code from EmpathyStatusIcon to EmpathyEventManager (Xavier Claessens).
  * Make the icon blink in the contact list when a contact has an event like new message,
    incoming call, etc. (Xavier Claessens)
* Tue Aug  5 2008 hfiguiere@suse.de
- Requires several telepathy connectors at runtime.
* Thu Jul 17 2008 hfiguiere@suse.de
- Upgrade to 0.23.4
  * This is a new branch, with many improvements and bug fixes.
    See NEWS and ChangeLog for all the details.
- Remove groupwise.profile from package as it is in the tarball.
* Fri Jun 13 2008 crrodriguez@suse.de
- disable unusable static libraries
* Wed May  7 2008 vuntz@suse.de
- Build the python bindings. Add python-gtk-devel to buildrequires
  for this.
* Fri Apr  4 2008 hfiguiere@suse.de
- Initial checkin
